package com.njcn.bpm.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.bpm.pojo.param.BpmSignParam;
import com.njcn.bpm.pojo.po.BpmSign;
import com.njcn.bpm.pojo.vo.BpmSignVO;

import java.util.List;

/**
 * <p>
 * BPM 流程标识 服务类
 * </p>
 *
 * @author hongawen
 * @since 2024-05-13
 */
public interface IBpmSignService extends IService<BpmSign> {

    String createSign(BpmSignParam bpmSignParam);

    void updateSign(BpmSignParam.BpmSignUpdateParam updateParam);

    void deleteSign(List<String> ids);

    Page<BpmSignVO> getSignPage(BpmSignParam.BpmSignQueryParam bpmSignQueryParam);

    List<BpmSign> getSignSimpleList();
}
